Custody Wallet
Get Custody Wallet Transactions
Get paginated list of transactions for a custody wallet
GET
/
payment
/
api
/
v1
/
custody-wallet
/
{custody_wallet_id}
/
transactions
Get Custody Wallet Transactions
curl --request GET \
--url https://api.carbnconnect.com/payment/api/v1/custody-wallet/{custody_wallet_id}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.carbnconnect.com/payment/api/v1/custody-wallet/{custody_wallet_id}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.carbnconnect.com/payment/api/v1/custody-wallet/{custody_wallet_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "065886c3-491f-4afa-aa38-db1dc9a7ecc1",
"custody_wallet_id": "c10dad79-4bd8-47f4-933e-4f197c5af680",
"to_address": "3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU",
"crypto": "usdc",
"source_amount": 1,
"customer_transaction_id": "51e4f5ee-3a6b-4c0b-8288-1bc0245ff302",
"destination_amount": 1,
"txn_hash": "3JKEegZqbJUjqj1SL6iMECkk3x4Wh4DgFeUEJZdg5PTbVFzkAhPMNMZGo86nVrqyKi91YfZNLK7waXhJWX81tZYo",
"customer_fee": 0,
"status": "PROCESSED",
"created_at": "2026-02-02T10:32:39.073021Z",
"updated_at": "2026-02-02T10:59:43.738664Z"
}
],
"pageable": {
"pageNumber": 0,
"pageSize": 20,
"sort": {
"sorted": false,
"unsorted": true,
"empty": true
},
"offset": 0,
"paged": true,
"unpaged": false
},
"totalPages": 1,
"totalElements": 1,
"last": true,
"numberOfElements": 1,
"size": 20,
"number": 0,
"sort": {
"sorted": false,
"unsorted": true,
"empty": true
},
"first": true,
"empty": false
}Authorizations
API key for authentication. Must be included in the x-api-key header.
Path Parameters
The unique identifier of the custody wallet
Query Parameters
Page number (0-indexed)
Required range:
x >= 0Number of items per page
Required range:
x >= 1Response
Transactions retrieved successfully
List of transactions
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Total number of pages
Example:
1
Total number of elements across all pages
Example:
1
Whether this is the last page
Example:
true
Number of elements in the current page
Example:
1
Page size
Example:
20
Current page number (0-indexed)
Example:
0
Show child attributes
Show child attributes
Whether this is the first page
Example:
true
Whether the page is empty
Example:
false
⌘I
Get Custody Wallet Transactions
